Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.propono.atom.server
Interface AtomRequest

All Known Implementing Classes:
  AtomRequestImpl

    public interface AtomRequest

Represents HTTP request to be processed by AtomHandler.

Method Summary
`int` | `getContentLength()` Returns the length, in bytes, of the request body and made available by the input stream, or -1 if the length is not known.
`String` | `getContentType()` Returns the MIME type of the body of the request, or null if the type is not known.
`long` | `getDateHeader(String arg0)` Returns the value of the specified request header as a long value that represents a Date object.
`String` | `getHeader(String arg0)` Returns the value of the specified request header as a String.
`Enumeration` | `getHeaderNames()` Returns an enumeration of all the header names this request contains.
`Enumeration` | `getHeaders(String arg0)` Returns all the values of the specified request header as an Enumeration of String objects.
`InputStream` | `getInputStream()` Retrieves the body of the request as binary data using a ServletInputStream.
`int` | `getIntHeader(String arg0)` Returns the value of the specified request header as an int.
`String` | `getParameter(String arg0)` Returns the value of a request parameter as a String, or null if the parameter does not exist.
`Map` | `getParameterMap()` Returns a java.util.Map of the parameters of this request.
`Enumeration` | `getParameterNames()` Returns an Enumeration of String objects containing the names of the parameters contained in this request.
`String[]` | `getParameterValues(String arg0)` Returns an array of String objects containing all of the values the given request parameter has, or null if the parameter does not exist.
`String` | `getPathInfo()` Returns any extra path information associated with the URL the client sent when it made this request.
`String` | `getQueryString()` Returns the query string that is contained in the request URL after the path.
`String` | `getRemoteUser()` Returns the login of the user making this request, if the user has been authenticated, or null if the user has not been authenticated.
`String` | `getRequestURI()` Returns the part of this request's URL from the protocol name up to the query string in the first line of the HTTP request.
`StringBuffer` | `getRequestURL()` Reconstructs the URL the client used to make the request.
`Principal` | `getUserPrincipal()` Returns a java.security.Principal object containing the name of the current authenticated user.
`boolean` | `isUserInRole(String arg0)` Returns a boolean indicating whether the authenticated user is included in the specified logical "role".

Method Detail

### getPathInfo

    String getPathInfo()

  Returns any extra path information associated with the URL the client sent when it made this request.

### getQueryString

    String getQueryString()

  Returns the query string that is contained in the request URL after the path.

### getRemoteUser

    String getRemoteUser()

  Returns the login of the user making this request, if the user has been authenticated, or null if the user has not been authenticated.

### isUserInRole

    boolean isUserInRole(String arg0)

  Returns a boolean indicating whether the authenticated user is included in the specified logical "role".

### getUserPrincipal

    Principal getUserPrincipal()

  Returns a java.security.Principal object containing the name of the current authenticated user.

### getRequestURI

    String getRequestURI()

  Returns the part of this request's URL from the protocol name up to the query string in the first line of the HTTP request.

### getRequestURL

    StringBuffer getRequestURL()

  Reconstructs the URL the client used to make the request.

### getContentLength

    int getContentLength()

  Returns the length, in bytes, of the request body and made available by the input stream, or -1 if the length is not known.

### getContentType

    String getContentType()

  Returns the MIME type of the body of the request, or null if the type is not known.

### getParameter

    String getParameter(String arg0)

  Returns the value of a request parameter as a String, or null if the parameter does not exist.

### getParameterNames

    Enumeration getParameterNames()

  Returns an Enumeration of String objects containing the names of the parameters contained in this request.

### getParameterValues

    String[] getParameterValues(String arg0)

  Returns an array of String objects containing all of the values the given request parameter has, or null if the parameter does not exist.

### getParameterMap

    Map getParameterMap()

  Returns a java.util.Map of the parameters of this request.

### getInputStream

    InputStream getInputStream()
                               throws IOException

  Retrieves the body of the request as binary data using a ServletInputStream.

  Throws:
    `IOException`

### getDateHeader

    long getDateHeader(String arg0)

  Returns the value of the specified request header as a long value that represents a Date object.

### getHeader

    String getHeader(String arg0)

  Returns the value of the specified request header as a String.

### getHeaders

    Enumeration getHeaders(String arg0)

  Returns all the values of the specified request header as an Enumeration of String objects.

### getHeaderNames

    Enumeration getHeaderNames()

  Returns an enumeration of all the header names this request contains.

### getIntHeader

    int getIntHeader(String arg0)

  Returns the value of the specified request header as an int.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD